import java.io.*;

public class Bonusaufgabe09 {
	
	public static void main (String args[]) throws IOException{

		
		InputStreamReader isr = new InputStreamReader(System.in);
		BufferedReader br = new BufferedReader(isr);
		System.out.print("Gib mir eine Jahr: ");
		String eingabe = br.readLine();

		int jahr = 0;
		boolean istSJ = false;

		try {
			jahr = Integer.parseInt(eingabe);
		} 
		catch(NumberFormatException e) {
				System.out.println("Du hast keine Jahreszahl eingegeben!");
				System.exit(3);
		}
		
		if(jahr%4 == 0) {
			if(jahr%100 == 0) {
				if(jahr%400 == 0) {
					istSJ = true;
				}
			}
			else {
				istSJ = true;
			}
		}
		
		if(istSJ) {	
			System.out.println("Das Jahr " + jahr + " ist ein Schaltjahr.");
		}
		else {
			System.out.println("Das Jahr " + jahr + " ist ein gewöhnliches Jahr.");
		}

	}
}

